QT5OPTIONS(7)

NAME
qt5options - Common commandline options for all applications based on the Qt toolkit

SYNOPSIS

Qt application [-style= style / -style style] [-stylesheet= stylesheet / -stylesheet stylesheet] [-widgetcount] [-reverse] [-qmljsdebugger= port] [-platform platformName[:options]] [-platformpluginpath path] [-platformtheme platformTheme] [-plugin plugin] [-qwindowgeometry geometry] [-qwindowicon icon] [-qwindowtitle title] [-reverse] [-session session] [-display hostname:screen_number] [-geometry geometry] [-dialogs= [xp|none]] [-fontengine= freetype] [-h, --help and -? on Windows] [-v --version]

OPTIONS

The following options apply to all Qt(TM) applications:

-style= style / -style style
    Set the application GUI style. Possible values depend on the system configuration. If Qt is compiled with additional styles or has additional styles as plugins these will be available to the -style command line option.

-stylesheet= stylesheet / -stylesheet stylesheet
    Set the application styleSheet. The value must be a path to a file that contains the Style Sheet.

-widgetcount
    Print debug message at the end about number of widgets left undestroyed and maximum number of widgets existed at the same time.

-reverse
    Set the application's layout direction to Qt::RightToLeft. This option is intended to aid debugging and should not be used in production. The default value is automatically detected from the user's locale (see also QLocale::textDirection()).

-qmljsdebugger= port
    Activate the QML/JS debugger with a specified port. The value must be of format port:1234[,block], where block is optional and will make the application wait until a debugger connects to it.

-platform platformName[:options]
    Specify the Qt Platform Abstraction (QPA) plugin.

-platformpluginpath path
    Specify the path to platform plugins.

-platformtheme platformTheme
    Specify the platform theme.

-plugin plugin
    Specify additional plugins to load. The argument may appear multiple times.

-qwindowgeometry geometry
    Specify the window geometry for the main window using the X11-syntax. For example: -qwindowgeometry 100x100+50+50

-qwindowicon icon
    Set the default window icon.

-qwindowtitle title
    Set the title of the first window.

-session session
    Restore the application from an earlier session.

-display hostname:screen_number
    Switch displays on X11. Overrides the DISPLAY environment variable.

-geometry geometry
    Specify the window geometry for the main window on X11. For example: -geometry 100x100+50+50.

-dialogs= [xp|none]
    Only available for -platform windows. xp uses XP-style native dialogs and none disables them.

-fontengine= freetype
    Use the FreeType font engine.

-h, --help and -? on Windows
    Print all options and the application description.

-v --version
    Display the version string of the application.

SEE ALSO

kf5options(7)

AUTHORS

Man page originally written by Lauri Watts <lauri@kde.org>

Updated to Frameworks 5 by Burkhard Lück <lueck@hube-lueck.de>

The infos for this man page are from QApplication documentation[1], QGuiApplication documentation[2] and QCommandLineParser documentation[3].

AUTHORS

Lauri Watts <lauri@kde.org>
    Author.

Burkhard Lück <lueck@hube-lueck.de>
    Author.

NOTES

1.  QApplication documentation
    https://doc.qt.io/qt-5/qapplication.html#QApplication

2.  QGuiApplication documentation
    https://doc.qt.io/qt-5/qguiapplication.html#QGuiApplication

3.  QCommandLineParser documentation
    https://doc.qt.io/qt-5/qcommandlineparser.html